#
# Copyright (C) 2020-2024 MicroSys Electronics GmbH
#

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

#SRCREV = "616a4588f333522d50a55bedd2b9a90a51474a75"

RCW_FOLDER:mpxls1028a = "mpxls1028"
BOOTTYPE:mpxls1028a = "emmc flexspi_nor sd"

RCW_FOLDER:mpxls1043a = "mpxls1043"
BOOTTYPE:mpxls1043a = "nand qspi sd"

RCW_FOLDER:mpxls1046a = "mpxls1046"
BOOTTYPE:mpxls1046a = "qspi sd"

RCW_FOLDER:mpxls1088a = "mpxls1088"
BOOTTYPE:mpxls1088a = "qspi sd"

RCW_FOLDER:mpxlx2160a = "mpxlx2160a"
BOOTTYPE:mpxlx2160a = "flexspi_nor sd"

python do_patch:prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

python() {
    if d.getVar("MACHINE") == "mpxls1028crx07":
        d.setVar("PLATFORM", "mpxls1028")
    elif d.getVar("MACHINE") == "mpxls1043ac1000pciecrx05":
        d.setVar("PLATFORM", "mpxls1043_1000MHz_pcie")
    elif d.getVar("MACHINE") == "mpxls1043ac1600pciecrx05":
        d.setVar("PLATFORM", "mpxls1043_1600MHz_pcie")
    elif d.getVar("MACHINE") == "mpxls1043ac1600pcie2nandcrx05":
        d.setVar("PLATFORM", "mpxls1043_1600MHz_pcie_2nand")
    elif d.getVar("MACHINE") == "mpxls1043ac1600pcie2gbnandcrx05":
        d.setVar("PLATFORM", "mpxls1043_1600MHz_pcie")
    elif d.getVar("MACHINE") == "mpxls1046ram2gbcrx05":
        d.setVar("PLATFORM", "mpxls1046_ram_2gb")
    elif d.getVar("MACHINE") == "mpxls1046ram4gbcrx05":
        d.setVar("PLATFORM", "mpxls1046_ram_4gb")
    elif d.getVar("MACHINE") == "mpxls1046ram8gbcrx05":
        d.setVar("PLATFORM", "mpxls1046_ram_8gb")
    elif d.getVar("MACHINE") == "mpxls1046ram4gb2nandcrx05":
        d.setVar("PLATFORM", "mpxls1046_ram_4gb_2nand")
    elif d.getVar("MACHINE") == "mpxls1046crx06":
        d.setVar("PLATFORM", "mpxls1046_ram_4gb")
    elif d.getVar("MACHINE") == "mpxls1088crx05":
        d.setVar("PLATFORM", "mpxls1088")
    elif d.getVar("MACHINE") == "mpxls1088crx06":
        d.setVar("PLATFORM", "mpxls1088")
    elif d.getVar("MACHINE") == "mpxls1088crx06qsgmii":
        d.setVar("PLATFORM", "mpxls1088")
}

# The package is empty which leads to problems when
# building the image with devtool. This fix lets devtool
# build the image with modified arm-trusted-firmware.
ALLOW_EMPTY_${PN} = "1"

do_compile:prepend() {
	BUILD_STRING=`cat ${S}/localversion-microsys`
	export BUILD_STRING
}

SRC_URI += "file://qoriq-atf_2.6.patch"
