#
# Copyright (C) 2020-2021 MicroSys Electronics GmbH
#

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

SRCREV = "1f431891c7f0e7d4f52327f1fe19504a284491c4"

export PYTHON = "${USRBINPATH}/python3"

python do_patch:prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}


PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(qoriq)"
M="${@d.getVar('MACHINE',True).replace('ac1000msatacrx05','').replace('ac1000msata2nandcrx05','').replace('ac1000pciecrx05','').replace('ac1000pcie2nandcrx05','').replace('ac1600msatacrx05','').replace('ac1600msata2gbnandcrx05','').replace('ac1600msata2nandcrx05','').replace('ac1600pciecrx05','').replace('ac1600pcie2nandcrx05','').replace('ac1600pcie2gbnandcrx05','').replace('ram2gbcrx05','').replace('ram4gb2nandcrx05','').replace('ram4gbcrx05','').replace('ram8gbcrx05','').replace('crx06qsgmii','').replace('crx06','').replace('crx05','').replace('crx07','').replace('crx08ai','').replace('acu','').replace('crx08','').replace('-${SITEINFO_ENDIANNESS}','')}"

do_deploy:append() {

    	if [ ${MACHINE} = "mpxls1028crx07" ]; then
		install -m 0644 ${S}/${M}/flexspi/*.bin ${DEPLOYDIR}/rcw/${M}/flexspi/
	elif [ ${MACHINE} = "mpxlx2160acrx08" ]; then
		install -m 0644 ${S}/${M}/nor/*-nor.bin ${DEPLOYDIR}/rcw/${M}/nor/
	elif [ ${MACHINE} = "mpxlx2160aacu" ]; then
		install -m 0644 ${S}/${M}/nor/*-nor.bin ${DEPLOYDIR}/rcw/${M}/nor/
	elif [ ${MACHINE} = "mpxlx2160acrx08ai" ]; then
		install -m 0644 ${S}/${M}/nor/*-nor.bin ${DEPLOYDIR}/rcw/${M}/nor/
	else
		install -m 0644 ${S}/${M}/qspi/*.bin ${DEPLOYDIR}/rcw/${M}/qspi/
	fi

		install -m 0644 ${S}/${M}/sd/*.bin ${DEPLOYDIR}/rcw/${M}/sd/
}

SRC_URI += "file://rcw.patch"
