#
# Copyright (C) 2020-2021 MicroSys Electronics GmbH
#
inherit u_boot_addons

FILESEXTRAPATHS:prepend := "${THISDIR}/${BPN}:"

UBOOT_BRANCH = "microsys-lsdk-kirkstone-2021.04"

SRCREV = "1c0116f3da250c5a52858c53efb8b38c0963f477"

S = "${WORKDIR}/git"
B = "${WORKDIR}/build"

INSANE_SKIP:${PN}:append = " arch file-rdeps "
INHIBIT_PACKAGE_STRIP = "1"
INHIBIT_PACKAGE_DEBUG_SPLIT = "1"
INHIBIT_SYSROOT_STRIP = "1"
PATCHTOOL = "git"

#python do_patch_prepend() {
#    if d.getVar('PATCHTOOL') == 'git':
#        srcsubdir = d.getVar('S')
#        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
#        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
#        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
#        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
#}

do_configure:append() {
	if [ ${MACHINE} = "mpxls1088crx05" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*mc\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc-crx05.0x12-0x0D.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth-crx05.0x12_0x0D.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
	fi
	if [ ${MACHINE} = "mpxls1088crx06" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*mc\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc-crx06-2tsn.0x19-0x0C.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth-crx06-2tsn.0x19_0x0C.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
	fi
	if [ ${MACHINE} = "mpxls1088crx06qsgmii" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*mc\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc-crx06-2qsgmii.0x1D-0x0C.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth-crx06-2qsgmii.0x1D_0x0C.dtb," ${S}/arch/arm/dts/qspi_firmware_mpxls1088.dts
	fi

    # We are doing the same for every mpxls1043 machine
    if [ "${MACHINE}" = "mpxls1043ac1000msatacrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1000pciecrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600msatacrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600pciecrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600pcie2nandcrx05" ] ; then
        sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1043.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1043.dts
        sed -i -e "s,filename.*fman_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/fsl_fman_ucode_ls1043_r1.1_106_4_18.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1043.dts
        sed -i -e "s,filename.*qe_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/boot/iram_Type_A_LS1021a_r1.0.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1043.dts

		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_nand.pbl," ${S}/arch/arm/dts/nand_firmware_mpxls1043.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/nand_firmware_mpxls1043.dts
		sed -i -e "s,filename.*fman_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/fsl_fman_ucode_ls1043_r1.1_106_4_18.bin," ${S}/arch/arm/dts/nand_firmware_mpxls1043.dts
		sed -i -e "s,filename.*qe_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/boot/iram_Type_A_LS1021a_r1.0.bin," ${S}/arch/arm/dts/nand_firmware_mpxls1043.dts
	fi
	if [ ${MACHINE} = "mpxls1046ram2gbcrx05" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fman_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/fsl_fman_ucode_ls1046_r1.0_106_4_18.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
	fi
	if [ ${MACHINE} = "mpxls1046ram4gbcrx05" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fman_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/fsl_fman_ucode_ls1046_r1.0_106_4_18.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
	fi
	if [ ${MACHINE} = "mpxls1046crx06" ]; then
		sed -i -e "s,filename.*bl2_qspi\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_qspi.pbl," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fip.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
		sed -i -e "s,filename.*fman_ucode.*\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/fsl_fman_ucode_ls1046_r1.0_106_4_18.bin," ${S}/arch/arm/dts/qspi_firmware_mpxls1046.dts
	fi
	if [ ${MACHINE} = "mpxlx2160acrx08" ]; then
		sed -i -e "s,filename.*bl2_flexspi_nor\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_flexspi_nor.pbl," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*fip\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*fip_ddr_all\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/ddr-phy/fip_ddr_all.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*mc.*\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc-usxgmii.crx08.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth.19.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
	fi
	if [ ${MACHINE} = "mpxlx2160aacu" ]; then
		sed -i -e "s,filename.*bl2_flexspi_nor\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_flexspi_nor.pbl," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
		sed -i -e "s,filename.*fip\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
		sed -i -e "s,filename.*fip_ddr_all\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/ddr-phy/fip_ddr_all.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
		sed -i -e "s,filename.*mc.*\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc.acu.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth.11.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dts
	fi
	if [ ${MACHINE} = "mpxlx2160acrx08ai" ]; then
		sed -i -e "s,filename.*bl2_flexspi_nor\.pbl,filename \= \"${DEPLOY_DIR_IMAGE}/atf/bl2_flexspi_nor.pbl," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*fip\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/atf/fip_uboot.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*fip_ddr_all\.bin,filename \= \"${DEPLOY_DIR_IMAGE}/ddr-phy/fip_ddr_all.bin," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*mc.*\.itb,filename \= \"${DEPLOY_DIR_IMAGE}/mc_app/mc.itb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*dpc.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpc-usxgmii.crx08.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
		sed -i -e "s,filename.*dpl.*dtb,filename \= \"${DEPLOY_DIR_IMAGE}/dpl-eth.19.dtb," ${S}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dts
	fi
}

do_compile:append:qoriq() {
    if [ ${MACHINE} = "mpxls1088crx05" ]; then
		cd ${B}
        cp ${S}/board/microsys/mpxls1088/dpl-eth-crx05.0x12_0x0D.dts ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        cp ${S}/board/microsys/mpxls1088/dpc-crx05.0x12-0x0D.dts  ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx05.0x12-0x0D.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx05.0x12-0x0D.dtb
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx05.0x12_0x0D.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx05.0x12_0x0D.dtb
     fi
    if [ ${MACHINE} = "mpxls1088crx06" ]; then
		cd ${B}
        cp ${S}/board/microsys/mpxls1088/dpl-eth-crx06-2tsn.0x19_0x0C.dts ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        cp ${S}/board/microsys/mpxls1088/dpc-crx06-2tsn.0x19-0x0C.dts  ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2tsn.0x19-0x0C.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2tsn.0x19-0x0C.dtb
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2tsn.0x19_0x0C.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2tsn.0x19_0x0C.dtb
     fi
    if [ ${MACHINE} = "mpxls1088crx06qsgmii" ]; then
		cd ${B}
        cp ${S}/board/microsys/mpxls1088/dpl-eth-crx06-2qsgmii.0x1D_0x0C.dts ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        cp ${S}/board/microsys/mpxls1088/dpc-crx06-2qsgmii.0x1D-0x0C.dts  ${UBOOT_MACHINE}/board/microsys/mpxls1088/
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2qsgmii.0x1D-0x0C.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2qsgmii.0x1D-0x0C.dtb
        dtc ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2qsgmii.0x1D_0x0C.dts -o ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2qsgmii.0x1D_0x0C.dtb
     fi
}

do_install:append() {
if [ ${MACHINE} != "mpxls1028crx07" ]; then
	install -d ${D}${bindir_crossscripts}/
	install -m 0755 ${S}/tools/binman/binman ${D}${bindir_crossscripts}/binman
	install -d ${D}${bindir_crossscripts}/
    install -m 0755 ${S}/tools/binman/binman ${D}${bindir_crossscripts}/binman
	install -d ${D}${libdir}/
	install -d ${D}${libdir}/binman/
	install -d ${D}${libdir}/binman/etype/
	install -d ${D}${libdir}/patman/
	install -d ${D}${libdir}/dtoc/
	install -m 0644 ${S}/tools/binman/*.py ${D}${libdir}/binman/

	install -m 0644 ${S}/tools/binman/etype/*.py ${D}${libdir}/binman/etype/
    install -m 0644 ${S}/tools/patman/*.py ${D}${libdir}/patman/
    install -m 0644 ${S}/tools/patman/patman ${D}${libdir}/patman/patman
    install -m 0644 ${S}/tools/dtoc/*.py ${D}${libdir}/dtoc/


	cd ${B}
	install -m 0644 ${UBOOT_MACHINE}/scripts/dtc/pylibfdt/_libfdt*.so ${D}${libdir}/
	install -m 0644 ${UBOOT_MACHINE}/scripts/dtc/pylibfdt/libfdt.i ${D}${libdir}/libfdt.i
	install -m 0644 ${UBOOT_MACHINE}/scripts/dtc/pylibfdt/libfdt.py ${D}${libdir}/libfdt.py
fi
}
SYSROOT_DIRS += "${bindir_crossscripts} ${libdir}"


do_deploy:append() {
cd ${B}
install -d ${DEPLOYDIR}
install -m 0644 ${S}/localversion-microsys ${DEPLOYDIR}/

	if [ ${MACHINE} = "mpxls1046ram2gbcrx05" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1046.dtb ${DEPLOYDIR}/
    fi
	if [ ${MACHINE} = "mpxls1046ram4gbcrx05" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1046.dtb ${DEPLOYDIR}/
    fi

    if [ ${MACHINE} = "mpxls1046crx06" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1046.dtb ${DEPLOYDIR}/
    fi

    # We are doing the same for every mpxls1043 machine
    if [ "${MACHINE}" = "mpxls1043ac1000msatacrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1000pciecrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600msatacrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600pciecrx05" ] \
    || [ "${MACHINE}" = "mpxls1043ac1600pcie2nandcrx05" ] ; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/nand_firmware_mpxls1043.dtb ${DEPLOYDIR}/
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1043.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxls1088crx05" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1088.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx05.0x12_0x0D.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx05.0x12-0x0D.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxls1088crx06" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1088.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2tsn.0x19_0x0C.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2tsn.0x19-0x0C.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxls1088crx06qsgmii" ]; then
		install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/qspi_firmware_mpxls1088.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpl-eth-crx06-2qsgmii.0x1D_0x0C.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/board/microsys/mpxls1088/dpc-crx06-2qsgmii.0x1D-0x0C.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxlx2160acrx08" ]; then
	install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpl-eth.19.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpc-usxgmii.crx08.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxlx2160aacu" ]; then
	install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/xspi_firmware_mpxlx2160_acu.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpl-eth.11.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpc.acu.dtb ${DEPLOYDIR}/
    fi
    if [ ${MACHINE} = "mpxlx2160acrx08ai" ]; then
	install -m 0644 ${UBOOT_MACHINE}/arch/arm/dts/xspi_firmware_mpxlx2160_crx08.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpl-eth.19.dtb ${DEPLOYDIR}/
        install ${UBOOT_MACHINE}/arch/arm/dts/dpc-usxgmii.crx08.dtb ${DEPLOYDIR}/
    fi
}


PACKAGES += "${PN}-binman"
FILES_SOLIBDEV = ""
FILES:${PN} += "/usr/bin/crossscripts/binman ${libdir}/binman/ ${libdir}/patman/ ${libdir}/*.so ${libdir}/*.i ${libdir}/*.py ${libdir}/binman/etype/ ${libdir}/dtoc/"
FILES:${PN}-binman += "/usr/bin/crosscripts/binman ${libdir}/binman/ ${libdir}/patman ${libdir}/*.so ${libdir}/*.i ${libdir}/*.py"
PROVIDES += "u-boot-qoriq-binman"
COMPATIBLE_MACHINE = "(qoriq)"

SRC_URI += "file://u-boot-qoriq_2021.04.patch"
